Index: resources/views/dashboard/folders/files.blade.php
===================================================================
--- resources/views/dashboard/folders/files.blade.php	(revision e78295cd8068c5cafb2b4988541373f115ca6443)
+++ resources/views/dashboard/folders/files.blade.php	(revision 8fdb18e3a60e9c9f7b25649594d8f3836c68559d)
@@ -8,4 +8,11 @@
         <div class="col-md-3 app-sidebar">
             <div class="card">
+                <div class="card-body">
+                    @if(auth()->user()->hasPermission('manage_all_files'))
+                        <a href="javascript:void(0)" class="btn btn-secondary btn-block file-upload-btn text-white" data-toggle="modal" data-target="#uploadFiles_{{$folder->id}}">
+                            Upload files
+                        </a>
+                    @endif
+                </div>
                 <div class="app-sidebar-menu">
                     <div class="list-group list-group-flush">
@@ -15,9 +22,17 @@
                         </a>
                         @foreach($folders as $obj)
-                            <a href="{{ route("dashboard.folders.files", ["id" => $obj->id]) }}" class="list-group-item d-flex align-items-center">
+                            @if($obj == $folder)
+                            <a href="{{ route("dashboard.folders.files", ["id" => $folder->id]) }}" class="list-group-item d-flex align-items-center" style="font-weight: bold;">
                                 <i data-feather="folder" class="width-15 height-15 mr-2"></i>
-                                {{$obj->name}}
-                                <span class="small ml-auto">{{$obj->files->count()}}</span>
+                                {{$folder->name}}
+                                <span class="small ml-auto">{{$folder->files->count()}}</span>
                             </a>
+                            @else
+                                <a href="{{ route("dashboard.folders.files", ["id" => $obj->id]) }}" class="list-group-item d-flex align-items-center">
+                                    <i data-feather="folder" class="width-15 height-15 mr-2"></i>
+                                    {{$obj->name}}
+                                    <span class="small ml-auto">{{$obj->files->count()}}</span>
+                                </a>
+                                @endif
                         @endforeach
                     </div>
@@ -54,5 +69,5 @@
             </div>
 
-            <p>Files</p>
+            <p>Files in {{$folder->name}}</p>
 
             <div class="row">
@@ -75,7 +90,5 @@
 {{--                                                </a>--}}
 {{--                                            </div>--}}
-                                            <div class="col-xl-1 col-lg-1 col-md-1 col-sm-2">
-                                                <i class="fa fa-file-image-o text-danger fa-2x"></i>
-                                            </div>
+                                                <i class="fa fa-file-image-o text-danger"></i>
                                         @else
                                             <i class="fa fa-file-text-o text-warning"></i>
@@ -145,5 +158,45 @@
 
         </div>
-
+        <div class="modal fade" id="uploadFiles_{{$folder->id}}" tabindex="-1" role="dialog" aria-hidden="true">
+            <div class="modal-dialog modal-dialog-centered" role="document">
+                <div class="modal-content">
+                    <div class="modal-header">
+                        <h5 class="modal-title" id="exampleModalCenterTitle">Upload</h5>
+                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
+                            <i class="ti-close"></i>
+                        </button>
+                    </div>
+                    <div class="modal-body">
+                        <form action="{{ route("dashboard.files.store") }}" method="post" accept-charset="utf-8" enctype="multipart/form-data">
+                            @csrf
+                            <div class="row">
+                                <div class="col-md-10">
+                                    <div class="form-group">
+                                        <select class="form-control" name="folder" hidden>
+                                            <option value="{{ $folder->id }}" {{ (old("folder") == $folder->id ? "selected" : "") }}>{{ $folder->name }}</option>
+                                        </select>
+                                    </div>
+                                </div>
+                                <div class="col-md-10">
+                                    <div class="form-group">
+                                        <label for="exampleFormControlSelect1">Files</label>
+
+
+                                        <input type="file" class="form-control" id="file-item" name="file_item[]" accept="{{ $fileTypes }}" multiple>
+                                    </div>
+                                </div>
+                            </div>
+                            <br/>
+                            <div class="modal-footer">
+                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
+                                </button>
+                                <button type="submit" class="btn btn-primary">Save changes</button>
+                            </div>
+                        </form>
+                    </div>
+
+                </div>
+            </div>
+        </div>
     </div>
 
